--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/fiscalyear.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/fiscalyear.class.php	2025-06-27 11:43:40.256927000 +0000
@@ -119,6 +119,8 @@
 		$this->db = $db;
 
 		$this->ismultientitymanaged = 1;
+		$this->labelStatusShort = array(self::STATUS_OPEN => 'Opened', self::STATUS_CLOSED => 'Closed');
+		$this->labelStatus = array(self::STATUS_OPEN => 'Opened', self::STATUS_CLOSED => 'Closed');
 	}
 
 	/**

########## core/class/html.form.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/html.form.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/html.form.class.php	2025-06-27 11:43:40.274117000 +0000
@@ -1,4 +1,5 @@
 <?php
+
 /* Copyright (c) 2002-2007  Rodolphe Quiedeville    <rodolphe@quiedeville.org>
  * Copyright (C) 2004-2012  Laurent Destailleur     <eldy@users.sourceforge.net>
  * Copyright (C) 2004       Benoit Mortier          <benoit.mortier@opensides.be>
@@ -104,18 +105,18 @@
 	/**
 	 * Output key field for an editable field
 	 *
-	 * @param 	string				$text 			Text of label or key to translate
-	 * @param 	string				$htmlname 		Name of select field ('edit' prefix will be added)
-	 * @param 	string				$preselected 	Value to show/edit (not used in this function)
-	 * @param 	object				$object 		Object (on the page we show)
-	 * @param 	int<0,1>|boolean	$perm 			Permission to allow button to edit parameter. Set it to 0 to have a not edited field.
-	 * @param 	string	 			$typeofdata 	Type of data ('string' by default, 'email', 'amount:99', 'numeric:99', 'text' or 'textarea:rows:cols', 'datepicker' ('day' do not work, don't know why), 'dayhour' or 'datehourpicker' 'checkbox:ckeditor:dolibarr_zzz:width:height:savemethod:1:rows:cols', 'select;xxx[:class]'...)
-	 * @param 	string				$moreparam		More param to add on a href URL.
-	 * @param 	int<0,1>			$fieldrequired	1 if we want to show field as mandatory using the "fieldrequired" CSS.
-	 * @param 	int<0,3>			$notabletag		1=Do not output table tags but output a ':', 2=Do not output table tags and no ':', 3=Do not output table tags but output a ' '
-	 * @param 	string				$paramid 		Key of parameter for id ('id', 'socid')
-	 * @param 	string				$help 			Tooltip help
-	 * @return  string								HTML edit field
+	 * @param 	string		$text 			Text of label or key to translate
+	 * @param 	string		$htmlname 		Name of select field ('edit' prefix will be added)
+	 * @param 	string		$preselected 	Value to show/edit (not used in this function)
+	 * @param 	object		$object 		Object (on the page we show)
+	 * @param 	int<0,1>	$perm 			Permission to allow button to edit parameter. Set it to 0 to have a not edited field.
+	 * @param 	string	 	$typeofdata 	Type of data ('string' by default, 'email', 'amount:99', 'numeric:99', 'text' or 'textarea:rows:cols', 'datepicker' ('day' do not work, don't know why), 'dayhour' or 'datehourpicker' 'checkbox:ckeditor:dolibarr_zzz:width:height:savemethod:1:rows:cols', 'select;xxx[:class]'...)
+	 * @param 	string		$moreparam		More param to add on a href URL.
+	 * @param 	int<0,1>	$fieldrequired	1 if we want to show field as mandatory using the "fieldrequired" CSS.
+	 * @param 	int<0,3>	$notabletag		1=Do not output table tags but output a ':', 2=Do not output table tags and no ':', 3=Do not output table tags but output a ' '
+	 * @param 	string		$paramid 		Key of parameter for id ('id', 'socid')
+	 * @param 	string		$help 			Tooltip help
+	 * @return  string						HTML edit field
 	 */
 	public function editfieldkey($text, $htmlname, $preselected, $object, $perm, $typeofdata = 'string', $moreparam = '', $fieldrequired = 0, $notabletag = 0, $paramid = 'id', $help = '')
 	{
@@ -125,7 +126,7 @@
 
 		// TODO change for compatibility
 		if (getDolGlobalString('MAIN_USE_JQUERY_JEDITABLE') && !preg_match('/^select;/', $typeofdata)) {
-			if ($perm) {
+			if (!empty($perm)) {
 				$tmp = explode(':', $typeofdata);
 				$ret .= '<div class="editkey_' . $tmp[0] . (!empty($tmp[1]) ? ' ' . $tmp[1] : '') . '" id="' . $htmlname . '">';
 				if ($fieldrequired) {
@@ -2140,13 +2141,13 @@
 	 * @param int<0,1>|string 	$show_empty 	0=list with no empty value, 1=add also an empty value into list
 	 * @param int[]|null		$exclude 		Array list of users id to exclude
 	 * @param int 				$disabled 		If select list must be disabled
-	 * @param int[]|''|'hierarchy'|'hierarchyme'	$include	Array list of users id to include. Use '' for all users or 'hierarchy' to have only supervised users or 'hierarchyme' to have supervised + me
+	 * @param int[]|''|'hierarchy'|'hierarchyme'	$include	Array list of users id to include. User '' for all users or 'hierarchy' to have only supervised users or 'hierarchyme' to have supervised + me
 	 * @param int[]|''			$enableonly 	Array list of users id to be enabled. If defined, it means that others will be disabled
 	 * @param string 			$force_entity 	'0' or list of Ids of environment to force, separated by a comma, or 'default' = do no extend to all entities allowed to superadmin.
 	 * @param int 				$maxlength 		Maximum length of string into list (0=no limit)
 	 * @param int<-1,1>			$showstatus 	0=show user status only if status is disabled, 1=always show user status into label, -1=never show user status
 	 * @param string 			$morefilter 	Add more filters into sql request (Example: '(employee:=:1)'). This value must not come from user input.
-	 * @param int<0,3> 			$showalso 		0=default list, 1=add also a value "Everybody" at beginning of list, 2=add also a value "My team" at beginning of list (if user has at least 1 people), 3=add also "Everybody" + "My Team"
+	 * @param int<0,1> 			$show_every 	0=default list, 1=add also a value "Everybody" at beginning of list
 	 * @param string 			$enableonlytext If option $enableonlytext is set, we use this text to explain into label why record is disabled. Not used if enableonly is empty.
 	 * @param string 			$morecss 		More css
 	 * @param int<0,1> 			$notdisabled 	Show only active users (note: this will also happen, whatever is this option, if USER_HIDE_INACTIVE_IN_COMBOBOX is on).
@@ -2156,14 +2157,14 @@
 	 * @return string|array<int,string|array{id:int,label:string,labelhtml:string,color:string,picto:string}>	HTML select string
 	 * @see select_dolgroups()
 	 */
-	public function select_dolusers($selected = '', $htmlname = 'userid', $show_empty = 0, $exclude = null, $disabled = 0, $include = '', $enableonly = '', $force_entity = '', $maxlength = 0, $showstatus = 0, $morefilter = '', $showalso = 0, $enableonlytext = '', $morecss = '', $notdisabled = 0, $outputmode = 0, $multiple = false, $forcecombo = 0)
+	public function select_dolusers($selected = '', $htmlname = 'userid', $show_empty = 0, $exclude = null, $disabled = 0, $include = '', $enableonly = '', $force_entity = '', $maxlength = 0, $showstatus = 0, $morefilter = '', $show_every = 0, $enableonlytext = '', $morecss = '', $notdisabled = 0, $outputmode = 0, $multiple = false, $forcecombo = 0)
 	{
 		// phpcs:enable
 		global $conf, $user, $langs, $hookmanager;
 		global $action;
 
 		// If no preselected user defined, we take current user
-		if ((is_numeric($selected) && ($selected < -3 || empty($selected))) && !getDolGlobalString('SOCIETE_DISABLE_DEFAULT_SALESREPRESENTATIVE')) {
+		if ((is_numeric($selected) && ($selected < -2 || empty($selected))) && !getDolGlobalString('SOCIETE_DISABLE_DEFAULT_SALESREPRESENTATIVE')) {
 			$selected = $user->id;
 		}
 
@@ -2173,38 +2174,23 @@
 			$selected = array($selected);
 		}
 
-		// Exclude some users in $excludeUsers string
 		$excludeUsers = null;
+		$includeUsers = null;
+
+		// Exclude some users
 		if (is_array($exclude)) {
 			$excludeUsers = implode(",", $exclude);
 		}
-
-		// Include some users in $includeUsers string
-		$includeUsers = null;
-		$includeUsersArray = array();
+		// Include some uses
 		if (is_array($include)) {
-			$includeUsersArray = $include;
+			$includeUsers = implode(",", $include);
 		} elseif ($include == 'hierarchy') {
-			// Build list includeUsersArray to have only hierarchy
-			$includeUsersArray = $user->getAllChildIds(0);
+			// Build list includeUsers to have only hierarchy
+			$includeUsers = implode(",", $user->getAllChildIds(0));
 		} elseif ($include == 'hierarchyme') {
-			// Build list includeUsersArray to have only hierarchy and current user
-			$includeUsersArray = $user->getAllChildIds(1);
+			// Build list includeUsers to have only hierarchy and current user
+			$includeUsers = implode(",", $user->getAllChildIds(1));
 		}
-		// Get list of allowed users
-		/* We do not limit list of users. Because we should limit this only for combo list into HR features where we may be allowed to
-		 * see all other users and element in other. For example in agenda, we can have permission to read all event of otherusers.
-		 * So we disable this.
-		if (!$user->hasRight('user', 'user', 'lire')) {
-			if (empty($includeUsersArray)) {
-				$includeUsers = implode(",", $user->getAllChildIds(1));
-			} else {
-				$includeUsers = implode(",", array_intersect($includeUsersArray, $user->getAllChildIds(1)));
-			}
-		} else {
-			$includeUsers = implode(",", $includeUsersArray);
-		} */
-		$includeUsers = implode(",", $includeUsersArray);
 
 		$num = 0;
 
@@ -2213,7 +2199,7 @@
 		$outarray2 = array();
 
 		// Do we want to show the label of entity into the combo list ?
-		$showlabelofentity = isModEnabled('multicompany') && !getDolGlobalInt('MULTICOMPANY_TRANSVERSE_MODE') && $conf->entity == 1 && !empty($user->admin) && empty($user->entity) && !preg_match('/^search_/', $htmlname);
+		$showlabelofentity = isModEnabled('multicompany') && !getDolGlobalInt('MULTICOMPANY_TRANSVERSE_MODE') && $conf->entity == 1 && !empty($user->admin) && empty($user->entity);
 		$userissuperadminentityone = isModEnabled('multicompany') && $conf->entity == 1 && $user->admin && empty($user->entity);
 
 		// Forge request to select users
@@ -2312,23 +2298,7 @@
 						'picto' => ''
 					);
 				}
-				if ($showalso == 2 || $showalso == 3) {
-					$out .= '<option value="-3"' . ((in_array(-3, $selected)) ? ' selected' : '') . '>-- ' . $langs->trans("MyTeam") . ' --</option>' . "\n";
-
-					$hasAtLeastOneSubordinate = (count($user->getAllChildIds(1)) > 1);
-					if ($hasAtLeastOneSubordinate) {
-						//$sql = "SELECT rowid FROM".MAIN_DB_PREFIX."user "
-						$outarray[-3] = '-- ' . $langs->trans("MyTeam") . ' --';
-						$outarray2[-3] = array(
-							'id' => -3,
-							'label' => '-- ' . $langs->trans("MyTeam") . ' --',
-							'labelhtml' => '-- ' . $langs->trans("MyTeam") . ' --',
-							'color' => '',
-							'picto' => ''
-						);
-					}
-				}
-				if ($showalso == 1 || $showalso == 3) {
+				if ($show_every) {
 					$out .= '<option value="-2"' . ((in_array(-2, $selected)) ? ' selected' : '') . '>-- ' . $langs->trans("Everybody") . ' --</option>' . "\n";
 
 					$outarray[-2] = '-- ' . $langs->trans("Everybody") . ' --';
@@ -5853,7 +5823,7 @@
 	 * @param 	int<0,1>			$include 		[=0] Removed or 1=Keep only
 	 * @param 	string 				$morecss 		More CSS
 	 * @param	int<0,2>			$useempty		0=No empty value, 1=Add an empty value in list, 2=Add an empty value in list only if there is more than 2 entries. Default is 1.
-	 * @return	string|array<int,string>|array<int,array{id:int,fulllabel:string,data-html?:string,color:string,picto:string}>|array<int,array{rowid:int,id:int,fk_parent:int,label:string,description:string,color:string,position:string,visible:int,ref_ext:string,picto:string,fullpath:string,fulllabel:string,data-html?:string}>		String list or Array of categories
+	 * @return	string|array<int,string>|array<int,array{id:int,fulllabel:string,color:string,picto:string}>|array<int,array{rowid:int,id:int,fk_parent:int,label:string,description:string,color:string,position:string,visible:int,ref_ext:string,picto:string,fullpath:string,fulllabel:string}>		String list or Array of categories
 	 * @see select_categories()
 	 */
 	public function select_all_categories($type, $selected = '', $htmlname = "parent", $maxlength = 64, $fromid = 0, $outputmode = 0, $include = 0, $morecss = '', $useempty = 1)
@@ -6218,8 +6188,8 @@
 
 			$formconfirm .= '
                     resizable: false,
-					height: \'' . dol_escape_js($height) . '\',
-                    width: \'' . dol_escape_js($width) . '\',
+                    height: \'' . ((int) $height) . '\',
+                    width: \'' . ((int) $width) . '\',
                     modal: true,
                     closeOnEscape: false,
                     buttons: {
@@ -9135,7 +9105,7 @@
 			$sql .= " LEFT JOIN " . $this->db->prefix() . "product as p ON p.rowid = t.fk_product";
 		}
 		if (!empty($objecttmp->ismultientitymanaged)) {
-			if ($objecttmp->ismultientitymanaged == 1) {	// @phan-suppress-current-line PhanPluginEmptyStatementIf
+			if ($objecttmp->ismultientitymanaged == 1) {
 				// No need to join/link another table
 			}
 			if (!is_numeric($objecttmp->ismultientitymanaged)) {
@@ -9157,8 +9127,6 @@
 			$sql .= $hookmanager->resPrint;
 		} else {
 			$sql .= " WHERE 1=1";
-
-			// If table need a multientity restriction
 			if (!empty($objecttmp->ismultientitymanaged)) {
 				if ($objecttmp->ismultientitymanaged == 1) {
 					$sql .= " AND t.entity IN (" . getEntity($objecttmp->table_element) . ")";
@@ -9174,14 +9142,23 @@
 						$sql .= " WHERE sc.fk_soc = t.fk_soc AND sc.fk_user = ".((int) $user->id).")";
 					}
 				}
-			}
-
-			// If user is external user, we must also make a test on llx_societe_commerciaux
-			if (!empty($user->socid)) {
-				if ($objecttmp->element == 'societe') {
-					$sql .= " AND t.rowid = " . ((int) $user->socid);
-				} elseif (!empty($objecttmp->fields['fk_soc']) || !empty($objecttmp->fields['t.fk_soc']) || property_exists($objecttmp, 'fk_soc') || property_exists($objecttmp, 'socid')) {
-					$sql .= " AND t.fk_soc = " . ((int) $user->socid);
+				// If user is external user, we also make a test on llx_societe_commerciaux
+				if (!empty($user->socid)) {
+					if ($objecttmp->ismultientitymanaged == 1) {
+						if ($objecttmp->element == 'societe') {
+							$sql .= " AND t.rowid = " . ((int) $user->socid);
+						} else {
+							$sql .= " AND t.fk_soc = " . ((int) $user->socid);
+						}
+					}
+					if (!is_numeric($objecttmp->ismultientitymanaged)) {
+						$sql .= " AND t." . $this->db->sanitize($tmparray[0])." = ".((int) $user->socid);
+					}
+					// If the parent table is llx_societe and user is an external user,
+					// then we must also check that user has permissions
+					if ($objecttmp->ismultientitymanaged === 'fk_soc@societe') {
+						$sql .= " AND t.fk_soc = ".((int) $user->socid);
+					}
 				}
 			}
 
@@ -10851,18 +10828,18 @@
 	/**
 	 * Return HTML code to output a photo
 	 *
-	 * @param string 	$modulepart 						Key to define module concerned ('societe', 'userphoto', 'memberphoto')
+	 * @param string 	$modulepart 				Key to define module concerned ('societe', 'userphoto', 'memberphoto')
 	 * @param Societe|Adherent|Contact|User|CommonObject	$object	Object containing data to retrieve file name
-	 * @param int 		$width 								Width of photo
-	 * @param int 		$height 							Height of photo (auto if 0)
-	 * @param int<0,1>	$caneditfield 						Add edit fields
-	 * @param string 	$cssclass 							CSS name to use on img for photo
-	 * @param string 	$imagesize 							'mini', 'small' or '' (original)
-	 * @param int<0,1>	$addlinktofullsize 					Add link to fullsize image
-	 * @param int<0,1>	$cache 								1=Accept to use image in cache
-	 * @param ''|'user'|'environment' 	$forcecapture 		'', 'user' (user-facing camera) or 'environment' ('outward-facing camera'). Force the parameter capture on HTML input file element to ask a smartphone to allow to open camera to take photo. Auto if ''.
-	 * @param int<0,1>	$noexternsourceoverwrite 			No overwrite image with extern source (like 'gravatar' or other module)
-	 * @return string                            			HTML code to output photo
+	 * @param int 		$width 						Width of photo
+	 * @param int 		$height 					Height of photo (auto if 0)
+	 * @param int<0,1>	$caneditfield 				Add edit fields
+	 * @param string 	$cssclass 					CSS name to use on img for photo
+	 * @param string 	$imagesize 					'mini', 'small' or '' (original)
+	 * @param int<0,1>	$addlinktofullsize 			Add link to fullsize image
+	 * @param int<0,1>	$cache 						1=Accept to use image in cache
+	 * @param ''|'user'|'environment' 	$forcecapture 	'', 'user' or 'environment'. Force parameter capture on HTML input file element to ask a smartphone to allow to open camera to take photo. Auto if ''.
+	 * @param int<0,1>	$noexternsourceoverwrite 	No overwrite image with extern source (like 'gravatar' or other module)
+	 * @return string                            	HTML code to output photo
 	 * @see getImagePublicURLOfObject()
 	 */
 	public static function showphoto($modulepart, $object, $width = 100, $height = 0, $caneditfield = 0, $cssclass = 'photowithmargin', $imagesize = '', $addlinktofullsize = 1, $cache = 0, $forcecapture = '', $noexternsourceoverwrite = 0)
@@ -11040,7 +11017,7 @@
 				if ($maxmin > 0) {
 					$ret .= '<input type="hidden" name="MAX_FILE_SIZE" value="' . ($maxmin * 1024) . '">';    // MAX_FILE_SIZE must precede the field type=file
 				}
-				$ret .= '<input type="file" class="flat maxwidth200onsmartphone" name="photo" id="photoinput" accept="image/*"' . ($capture ? ' capture="' . dolPrintHTMLForAttribute($capture) . '"' : '') . '>';
+				$ret .= '<input type="file" class="flat maxwidth200onsmartphone" name="photo" id="photoinput" accept="image/*"' . ($capture ? ' capture="' . $capture . '"' : '') . '>';
 				$ret .= '</td></tr>';
 				$ret .= '</table>';
 			}

########## core/class/html.formaccounting.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/html.formaccounting.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/html.formaccounting.class.php	2025-06-27 11:43:40.177925000 +0000
@@ -666,6 +666,7 @@
 	public static function printJournalLine($langs, $date, $ref, $accountAccounting, $labelOperation, $paymentMode, $amount)
 	{
 		$out = '<tr class="oddeven">';
+		$out .= '<td></td>';
 		$out .= '<td>'.$date.'</td>';
 		$out .= '<td>'.$ref.'</td>';
 		// Ledger account

########## core/class/html.formfile.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/html.formfile.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/html.formfile.class.php	2025-06-27 11:43:40.217546000 +0000
@@ -256,7 +256,7 @@
 			$out .= '<label for="overwritefile" class="opacitylow paddingleft paddingright">'.$langs->trans("OverwriteIfExists").'</label>';
 			$out .= '</span>';
 		}
-		$out .= '<input type="submit" class="button smallpaddingimp reposition" name="sendit" value="'.$langs->trans("Upload").'"';
+		$out .= '<input type="submit" class="button small reposition" name="sendit" value="'.$langs->trans("Upload").'"';
 		$out .= (!getDolGlobalString('MAIN_UPLOAD_DOC') || empty($perm) ? ' disabled' : '');
 		$out .= '>';
 
@@ -357,7 +357,7 @@
 			$out2 .= '<input type="hidden" name="objectid" value="'.$object->id.'">';
 			$out2 .= '</div>';
 			$out2 .= '<div class="inline-block" style="padding-right: 10px;">';
-			$out2 .= '<input type="submit" class="button smallpaddingimp reposition" name="linkit" value="'.$langs->trans("ToLink").'"';
+			$out2 .= '<input type="submit" class="button small reposition" name="linkit" value="'.$langs->trans("ToLink").'"';
 			$out2 .= (!getDolGlobalString('MAIN_UPLOAD_DOC') || empty($perm) ? ' disabled' : '');
 			$out2 .= '>';
 			$out2 .= '</div>';

########## core/class/html.formprojet.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/html.formprojet.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/html.formprojet.class.php	2025-06-27 11:43:40.156954000 +0000
@@ -400,7 +400,7 @@
 			}
 
 			if (empty($option_only)) {
-				$out .= '<select class="valignmiddle flat' . ($morecss ? ' ' . $morecss : '') . '"' . ($disabled ? ' disabled="disabled"' : '') . ' id="' . $htmlname . '" name="' . $htmlname . '">'."\n";
+				$out .= '<select class="valignmiddle flat' . ($morecss ? ' ' . $morecss : '') . '"' . ($disabled ? ' disabled="disabled"' : '') . ' id="' . $htmlname . '" name="' . $htmlname . '">';
 			}
 			if (!empty($show_empty)) {
 				$out .= '<option value="0" class="optiongrey">';
@@ -411,7 +411,7 @@
 				} else {
 					$out .= '&nbsp;';
 				}
-				$out .= '</option>'."\n";
+				$out .= '</option>';
 			}
 
 			$num = $this->db->num_rows($resql);
@@ -486,7 +486,7 @@
 							$out .= '<option value="' . $obj->rowid . '" selected';
 							$out .= ' data-html="' . dol_escape_htmltag($labeltoshowhtml) . '"';
 							//if ($disabled) $out.=' disabled';						// with select2, field can't be preselected if disabled
-							$out .= '>' . $labeltoshow . '</option>'."\n";
+							$out .= '>' . $labeltoshow . '</option>';
 						} else {
 							if ($hideunselectables && $disabled && ($selected != $obj->rowid)) {
 								$resultat = '';
@@ -500,7 +500,7 @@
 								$resultat .= ' data-html="' . dol_escape_htmltag($labeltoshowhtml) . '"';
 								$resultat .= '>';
 								$resultat .= $labeltoshow;
-								$resultat .= '</option>'."\n";
+								$resultat .= '</option>';
 							}
 							$out .= $resultat;
 						}
@@ -509,7 +509,7 @@
 				}
 			}
 			if (empty($option_only)) {
-				$out .= '</select>'."\n";
+				$out .= '</select>';
 			}
 
 			$this->nboftasks = $num;

########## core/class/html.formticket.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/html.formticket.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/html.formticket.class.php	2025-06-27 11:43:40.288904000 +0000
@@ -1685,19 +1685,10 @@
 			}
 			*/
 
-			// From (and Reply-To if defined)
+			// From
 			$from = getDolGlobalString('TICKET_NOTIFICATION_EMAIL_FROM');
-			$replyto = getDolGlobalString('TICKET_NOTIFICATION_EMAIL_REPLYTO');
-			print '<tr class="email_line"><td class="width200"><span class="">'.$langs->trans("MailFrom");
-			if ($replyto) {
-				print ' <span class="opacitymedium">('.$langs->trans("MailReply").')</span>';
-			}
-			print '</span></td>';
-			print '<td><span class="">'.img_picto('', 'email', 'class="pictofixedwidth"').$from;
-			if ($replyto) {
-				print ' <span class="opacitymedium">('.$replyto.')</span>';
-			}
-			print '</span></td></tr>';
+			print '<tr class="email_line"><td class="width200"><span class="">'.$langs->trans("MailFrom").'</span></td>';
+			print '<td><span class="">'.img_picto('', 'email', 'class="pictofixedwidth"').$from.'</span></td></tr>';
 
 			// Recipients / adressed-to
 			print '<tr class="email_line"><td>'.$langs->trans('MailRecipients');

########## core/class/notify.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/notify.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/notify.class.php	2025-06-27 11:43:40.163934000 +0000
@@ -662,12 +662,10 @@
 		//$urlwithroot=DOL_MAIN_URL_ROOT;						// This is to use same domain name than current
 
 		// Define some vars
-		$application = constant('DOL_APPLICATION_TITLE');
-		$applicationcustom = getDolGlobalString('MAIN_APPLICATION_TITLE');
-		if ($applicationcustom) {
-			$application = (preg_match('/^\+/', $applicationcustom) ? $application : '').$applicationcustom;
+		$application = 'Dolibarr';
+		if (getDolGlobalString('MAIN_APPLICATION_TITLE')) {
+			$application = getDolGlobalString('MAIN_APPLICATION_TITLE');
 		}
-
 		$from = getDolGlobalString('NOTIFICATION_EMAIL_FROM');
 		$object_type = '';
 		$link = '';

########## core/class/smtps.class.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/core/class/smtps.class.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/core/class/smtps.class.php	2025-06-27 11:43:40.173577000 +0000
@@ -78,11 +78,6 @@
 	private $_smtpsToken = null;
 
 	/**
-	 * @var ?string Message-ID to use
-	 */
-	private $_msgId = null;
-
-	/**
 	 * @var ?array{org:string,real?:string,addr:string,user:string,host:string} Who sends the Message
 	 * This can be defined via a INI file or via a setter method
 	 */
@@ -298,20 +293,8 @@
 	 */
 	private $_options = array();
 
-
-	/**
-	 * Set Message-ID
-	 *
-	 * @param	string	$_msgId		Message-ID to use
-	 * @return	void
-	 */
-	public function setMessageID($_msgId = '')
-	{
-		$this->_msgId = $_msgId;
-	}
-
 	/**
-	 * Set options
+	 * Set delivery receipt
 	 *
 	 * @param	array<string,array<string,mixed>>	$_options	An array of options for stream_context_create()
 	 * @return	void
@@ -1563,15 +1546,16 @@
 
 		$host = dol_getprefix('email');
 
+		//NOTE: Message-ID should probably contain the username of the user who sent the msg
 		$_header .= 'Subject: '.$this->getSubject()."\r\n";
 		$_header .= 'Date: '.date("r")."\r\n";
 
 		$trackid = $this->getTrackId();
 		if ($trackid) {
-			$_header .= 'Message-ID: <'.(empty($this->_msgId) ? uniqid().'.SMTPs-dolibarr-'.$trackid.'@'.$host : $this->_msgId).">\r\n";
+			$_header .= 'Message-ID: <'.time().'.SMTPs-dolibarr-'.$trackid.'@'.$host.">\r\n";
 			$_header .= 'X-Dolibarr-TRACKID: '.$trackid.'@'.$host."\r\n";
 		} else {
-			$_header .= 'Message-ID: <'.(empty($this->_msgId) ? uniqid().'.SMTPs@'.$host : $this->_msgId).">\r\n";
+			$_header .= 'Message-ID: <'.time().'.SMTPs@'.$host.">\r\n";
 		}
 		if (!empty($_SERVER['REMOTE_ADDR'])) {
 			$_header .= "X-RemoteAddr: ".$_SERVER['REMOTE_ADDR']."\r\n";

########## core/customreports.php
